Subject: 28.2; Emacs keeps opening related file from vc-diff buffer

From: Oleksandr Gavenko <[email-masked]>
Date: Mon, 10 Apr 2023 15:14:40 +0300

Seems the problem is related to syntax highlighting parsers in diffs.

I don't need syntax highlighting at the cost of slowness and polluted
recentf history.